aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/projuce-lin-vst2.sh16
-rwxr-xr-xscripts/projuce-lin.sh4
-rwxr-xr-xscripts/projuce-mac.sh4
-rwxr-xr-xscripts/projuce.sh27
4 files changed, 27 insertions, 24 deletions
diff --git a/scripts/projuce-lin-vst2.sh b/scripts/projuce-lin-vst2.sh
deleted file mode 100755
index c1d40b2..0000000
--- a/scripts/projuce-lin-vst2.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/bash
-
-if [ -z $VST2SDK_DIR ]; then
- echo "VST2SDK_DIR is not set. Please point it to a directory containing the VST2 SDK"
- exit 1
-else
- sed -e 's/,buildVST3/,buildVST,buildVST3/' Dexed.jucer | \
- sed -e "s@VST2SDK_DIR@${VST2SDK_DIR}@" | \
- sed -e 's/PLUGINHOST_VST="0"/PLUGINHOST_VST="1"/' | \
- sed -e 's/buildVST="0"/buildVST="1"/' > Dexed-vst2.jucer
- mv Dexed.jucer Dexed-orig.jucer
- mv Dexed-vst2.jucer Dexed.jucer
- assets/JUCE/Projucer --resave Dexed.jucer
- mv Dexed-orig.jucer Dexed.jucer
-fi
-
diff --git a/scripts/projuce-lin.sh b/scripts/projuce-lin.sh
deleted file mode 100755
index f878dbf..0000000
--- a/scripts/projuce-lin.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-
-## TODO: Check assets exists
-assets/JUCE/Projucer --resave Dexed.jucer
diff --git a/scripts/projuce-mac.sh b/scripts/projuce-mac.sh
deleted file mode 100755
index e8305bb..0000000
--- a/scripts/projuce-mac.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-
-## TODO: Check assets exists
-assets/JUCE/Projucer.app/Contents/MacOS/Projucer --resave Dexed.jucer
diff --git a/scripts/projuce.sh b/scripts/projuce.sh
new file mode 100755
index 0000000..1190d29
--- /dev/null
+++ b/scripts/projuce.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+if [[ "$OSTYPE" == "darwin"* ]]; then
+ PROJUCER=assets/JUCE/Projucer.app/Contents/MacOS/Projucer
+else
+ PROJUCER=assets/JUCE/Projucer
+fi
+
+if ! [ -x $PROJUCER ]; then
+ echo "Projucer was not found, please check the asset directory and why the Projucer executable is not there."
+ exit 1
+fi
+
+if [ -z $VST2SDK_DIR ]; then
+ echo "Generating build for VST3"
+ $PROJUCER --resave Dexed.jucer
+else
+ echo "Generating build for VST2"
+ sed -e 's/,buildVST3/,buildVST,buildVST3/' Dexed.jucer | \
+ sed -e "s@VST2SDK_DIR@${VST2SDK_DIR}@" | \
+ sed -e 's/PLUGINHOST_VST="0"/PLUGINHOST_VST="1"/' | \
+ sed -e 's/buildVST="0"/buildVST="1"/' > Dexed-vst2.jucer
+ mv Dexed.jucer Dexed-orig.jucer
+ mv Dexed-vst2.jucer Dexed.jucer
+ $PROJUCER --resave Dexed.jucer
+ mv Dexed-orig.jucer Dexed.jucer
+fi
Un proyecto texto-plano.xyz